Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dstc.security.kerberos
Class KerberosError

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.dstc.security.kerberos.KerberosException
                        |
                        +--com.dstc.security.kerberos.KerberosError

public class KerberosError
extends KerberosException

An Exception for an abnormal condition indicated by the receipt of a KrbError message from the KDC or a Kerberized application.

See Also:
  `KrbError`, Serialized Form

Field Summary
`static int` | `KDC_ERR_BAD_PVNO`
`static int` | `KDC_ERR_BADOPTION`
`static int` | `KDC_ERR_C_OLD_MAST_KVNO`
`static int` | `KDC_ERR_C_PRINCIPAL_UNKNOWN`
`static int` | `KDC_ERR_CANNOT_POSTDATE`
`static int` | `KDC_ERR_CLIENT_NOTYET`
`static int` | `KDC_ERR_CLIENT_REVOKED`
`static int` | `KDC_ERR_ETYPE_NOSUPP`
`static int` | `KDC_ERR_KEY_EXPIRED`
`static int` | `KDC_ERR_MUST_USE_USER2USER`
`static int` | `KDC_ERR_NAME_EXP`
`static int` | `KDC_ERR_NEVER_VALID`
`static int` | `KDC_ERR_NULL_KEY`
`static int` | `KDC_ERR_PADATA_TYPE_NOSUPP`
`static int` | `KDC_ERR_PATH_NOT_ACCEPTED`
`static int` | `KDC_ERR_POLICY`
`static int` | `KDC_ERR_PREAUTH_FAILED`
`static int` | `KDC_ERR_PREAUTH_REQUIRED`
`static int` | `KDC_ERR_PRINCIPAL_NOT_UNIQUE`
`static int` | `KDC_ERR_S_OLD_MAST_KVNO`
`static int` | `KDC_ERR_S_PRINCIPAL_UNKNOWN`
`static int` | `KDC_ERR_SERVER_NOMATCH`
`static int` | `KDC_ERR_SERVICE_EXP`
`static int` | `KDC_ERR_SERVICE_NOTYET`
`static int` | `KDC_ERR_SERVICE_REVOKED`
`static int` | `KDC_ERR_SUMTYPE_NOSUPP`
`static int` | `KDC_ERR_TGT_REVOKED`
`static int` | `KDC_ERR_TRTYPE_NOSUPP`
`static int` | `KRB_AP_ERR_BAD_INTEGRITY`
`static int` | `KRB_AP_ERR_BADADDR`
`static int` | `KRB_AP_ERR_BADDIRECTION`
`static int` | `KRB_AP_ERR_BADKEYVER`
`static int` | `KRB_AP_ERR_BADMATCH`
`static int` | `KRB_AP_ERR_BADORDER`
`static int` | `KRB_AP_ERR_BADSEQ`
`static int` | `KRB_AP_ERR_BADVERSION`
`static int` | `KRB_AP_ERR_INAPP_CKSUM`
`static int` | `KRB_AP_ERR_METHOD`
`static int` | `KRB_AP_ERR_MODIFIED`
`static int` | `KRB_AP_ERR_MSG_TYPE`
`static int` | `KRB_AP_ERR_MUT_FAILED`
`static int` | `KRB_AP_ERR_NOKEY`
`static int` | `KRB_AP_ERR_NOT_US`
`static int` | `KRB_AP_ERR_REPEAT`
`static int` | `KRB_AP_ERR_SKEW`
`static int` | `KRB_AP_ERR_TKT_EXPIRED`
`static int` | `KRB_AP_ERR_TKT_NYV`
`static int` | `KRB_AP_PATH_NOT_ACCEPTED`
`static int` | `KRB_ERR_FIELD_TOOLONG`
`static int` | `KRB_ERR_GENERIC`
`static int` | `KRB_IMPL_ERR_CONFIG`
`static int` | `NO_ERROR`

Constructor Summary
`KerberosError()` Default constructor
`KerberosError(int code)` Construct a KerberosException with a specific error code.
`KerberosError(String msg)` Constructor with a detail message

Method Summary
`int` | `getErrorCode()` Returns the KrbError error code

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NO_ERROR

    public static final int NO_ERROR

### KDC_ERR_NAME_EXP

    public static final int KDC_ERR_NAME_EXP

### KDC_ERR_SERVICE_EXP

    public static final int KDC_ERR_SERVICE_EXP

### KDC_ERR_BAD_PVNO

    public static final int KDC_ERR_BAD_PVNO

### KDC_ERR_C_OLD_MAST_KVNO

    public static final int KDC_ERR_C_OLD_MAST_KVNO

### KDC_ERR_S_OLD_MAST_KVNO

    public static final int KDC_ERR_S_OLD_MAST_KVNO

### KDC_ERR_C_PRINCIPAL_UNKNOWN

    public static final int KDC_ERR_C_PRINCIPAL_UNKNOWN

### KDC_ERR_S_PRINCIPAL_UNKNOWN

    public static final int KDC_ERR_S_PRINCIPAL_UNKNOWN

### KDC_ERR_PRINCIPAL_NOT_UNIQUE

    public static final int KDC_ERR_PRINCIPAL_NOT_UNIQUE

### KDC_ERR_NULL_KEY

    public static final int KDC_ERR_NULL_KEY

### KDC_ERR_CANNOT_POSTDATE

    public static final int KDC_ERR_CANNOT_POSTDATE

### KDC_ERR_NEVER_VALID

    public static final int KDC_ERR_NEVER_VALID

### KDC_ERR_POLICY

    public static final int KDC_ERR_POLICY

### KDC_ERR_BADOPTION

    public static final int KDC_ERR_BADOPTION

### KDC_ERR_ETYPE_NOSUPP

    public static final int KDC_ERR_ETYPE_NOSUPP

### KDC_ERR_SUMTYPE_NOSUPP

    public static final int KDC_ERR_SUMTYPE_NOSUPP

### KDC_ERR_PADATA_TYPE_NOSUPP

    public static final int KDC_ERR_PADATA_TYPE_NOSUPP

### KDC_ERR_TRTYPE_NOSUPP

    public static final int KDC_ERR_TRTYPE_NOSUPP

### KDC_ERR_CLIENT_REVOKED

    public static final int KDC_ERR_CLIENT_REVOKED

### KDC_ERR_SERVICE_REVOKED

    public static final int KDC_ERR_SERVICE_REVOKED

### KDC_ERR_TGT_REVOKED

    public static final int KDC_ERR_TGT_REVOKED

### KDC_ERR_CLIENT_NOTYET

    public static final int KDC_ERR_CLIENT_NOTYET

### KDC_ERR_SERVICE_NOTYET

    public static final int KDC_ERR_SERVICE_NOTYET

### KDC_ERR_KEY_EXPIRED

    public static final int KDC_ERR_KEY_EXPIRED

### KDC_ERR_PREAUTH_FAILED

    public static final int KDC_ERR_PREAUTH_FAILED

### KDC_ERR_PREAUTH_REQUIRED

    public static final int KDC_ERR_PREAUTH_REQUIRED

### KDC_ERR_SERVER_NOMATCH

    public static final int KDC_ERR_SERVER_NOMATCH

### KDC_ERR_MUST_USE_USER2USER

    public static final int KDC_ERR_MUST_USE_USER2USER

### KDC_ERR_PATH_NOT_ACCEPTED

    public static final int KDC_ERR_PATH_NOT_ACCEPTED

### KRB_AP_ERR_BAD_INTEGRITY

    public static final int KRB_AP_ERR_BAD_INTEGRITY

### KRB_AP_ERR_TKT_EXPIRED

    public static final int KRB_AP_ERR_TKT_EXPIRED

### KRB_AP_ERR_TKT_NYV

    public static final int KRB_AP_ERR_TKT_NYV

### KRB_AP_ERR_REPEAT

    public static final int KRB_AP_ERR_REPEAT

### KRB_AP_ERR_NOT_US

    public static final int KRB_AP_ERR_NOT_US

### KRB_AP_ERR_BADMATCH

    public static final int KRB_AP_ERR_BADMATCH

### KRB_AP_ERR_SKEW

    public static final int KRB_AP_ERR_SKEW

### KRB_AP_ERR_BADADDR

    public static final int KRB_AP_ERR_BADADDR

### KRB_AP_ERR_BADVERSION

    public static final int KRB_AP_ERR_BADVERSION

### KRB_AP_ERR_MSG_TYPE

    public static final int KRB_AP_ERR_MSG_TYPE

### KRB_AP_ERR_MODIFIED

    public static final int KRB_AP_ERR_MODIFIED

### KRB_AP_ERR_BADORDER

    public static final int KRB_AP_ERR_BADORDER

### KRB_AP_ERR_BADKEYVER

    public static final int KRB_AP_ERR_BADKEYVER

### KRB_AP_ERR_NOKEY

    public static final int KRB_AP_ERR_NOKEY

### KRB_AP_ERR_MUT_FAILED

    public static final int KRB_AP_ERR_MUT_FAILED

### KRB_AP_ERR_BADDIRECTION

    public static final int KRB_AP_ERR_BADDIRECTION

### KRB_AP_ERR_METHOD

    public static final int KRB_AP_ERR_METHOD

### KRB_AP_ERR_BADSEQ

    public static final int KRB_AP_ERR_BADSEQ

### KRB_AP_ERR_INAPP_CKSUM

    public static final int KRB_AP_ERR_INAPP_CKSUM

### KRB_AP_PATH_NOT_ACCEPTED

    public static final int KRB_AP_PATH_NOT_ACCEPTED

### KRB_ERR_GENERIC

    public static final int KRB_ERR_GENERIC

### KRB_ERR_FIELD_TOOLONG

    public static final int KRB_ERR_FIELD_TOOLONG

### KRB_IMPL_ERR_CONFIG

    public static final int KRB_IMPL_ERR_CONFIG

Constructor Detail

### KerberosError

    public KerberosError(int code)

  Construct a KerberosException with a specific error code. The error code must be one of the pre-defined error codes specified in this class. If an error code outside the valid ranges is specified as the parameter the code KRB_ERR_GENERIC is used.
  Parameters:
    `code` - The error code

### KerberosError

    public KerberosError()

  Default constructor

### KerberosError

    public KerberosError(String msg)

  Constructor with a detail message
  Parameters:
    `msg` - the detail message.

Method Detail

### getErrorCode

    public int getErrorCode()

  Returns the KrbError error code

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD